<?php

class m121010_091340_tbl_productos extends CDbMigration {
	public function safeUp() {
            $this->dropColumn('tbl_productos', 'n_agentes');
            $this->dropColumn('tbl_productos', 'n_publicaciones');
            
            $this->addColumn('tbl_productos', 'tipo', 'string');
            $this->addColumn('tbl_productos', 'coste_mensual', 'decimal(10,2)');
            $this->addColumn('tbl_productos', 'max_agentes', 'decimal(2,0)');
            $this->addColumn('tbl_productos', 'max_publicaciones', 'decimal(4,0)');
            $this->addColumn('tbl_productos', 'predeterminado', 'boolean'); // tinyint(1)
	}

	public function safeDown() {
            $this->dropColumn('tbl_productos', 'tipo');
            $this->dropColumn('tbl_productos', 'coste_mensual');
            $this->dropColumn('tbl_productos', 'max_agentes');
            $this->dropColumn('tbl_productos', 'max_publicaciones');
            $this->dropColumn('tbl_productos', 'predeterminado');

            $this->addColumn('tbl_productos', 'n_agentes', 'integer');
            $this->addColumn('tbl_productos', 'n_publicaciones', 'integer');
	}	
}